curl --request GET \
--url https://api-v2.boost.xyz/budget-accountsimport requests
url = "https://api-v2.boost.xyz/budget-accounts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-v2.boost.xyz/budget-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "8453:0xa904ef32d569e2ada8f4de6244bf68f36fa219f6",
"identifier": "<string>",
"registryType": "ACTION",
"baseImplementation": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"deployedInstance": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"txHash": "<string>",
"blockTimestamp": "<string>",
"blockNumber": "<string>",
"chainId": 1,
"address": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"owner": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"hidden": true,
"members": [
{
"memberAddress": "0x378632819f39c74c4f56b1429e760739c5fb51b7",
"roles": [
123
],
"email": "<string>",
"status": "wallet_created"
}
],
"deprecated": true,
"name": "<string>",
"label": "<string>"
}
]Get Budgets
Accepts pagination, and filter options like owner address, chain ID, and permissioned member address.
Query Parameters
Query for Budget Accounts deployed to this chain ID
x >= 010
Query for Budget Accounts where this member has permissions
^0x[a-fA-F0-9]{40}$"0x0d288362c8bfe919dd02fb96ee1642aaae0185e7"
Query for Budget Accounts owned by this address
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Query for a specific page of results
x >= 0How many items should be returned per page
x >= 0Response
Returns whether or not the token is blocked on given chain id
The system ID in the format of "chainId:address"
"8453:0xa904ef32d569e2ada8f4de6244bf68f36fa219f6"
The address of the deployed Budget Account
The type of Boost Protocol V2 component; either ACTION, ALLOW_LIST, BUDGET, INCENTIVE, or VALIDATOR
ACTION, ALLOW_LIST, BUDGET, INCENTIVE, VALIDATOR The contract address of the base implementation registered with the protocol
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
The address of the deployed contract
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
The transaction hash of the contract deployment
A bigint string representing the block timestamp for this contract deployment
A bigint string representing the blocknumber for this contract deployment
The chainID where this Budget is deployed
x >= 0The address of the deployed Budget Account
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
The address of the Budget's owner
^0x[a-fA-F0-9]{40}$"0x378632819f39c74c4f56b1429e760739c5fb51b7"
Whether or not the Budget should be included in API responses
A list of members with any amount of permissions
Show child attributes
Show child attributes
Will be true if Budget Account is based off of a deprecated budget implementation.
A unique name for the Budget, if not updated later, then this will be a random UUID
A label for the Budget, if available.